<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        caption="msg://notificationDetailEdit.caption"
        focusComponent="form">
    <data>
        <instance id="notificationDetailDc"
                  class="com.company.management.entity.registrationdb.NotificationDetail">
            <fetchPlan extends="_base">
                <property name="typeId" fetchPlan="_instance_name"/>
            </fetchPlan>
            <loader/>
        </instance>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="scrollBox">
        <scrollBox id="scrollBox" spacing="true">
            <form id="form" dataContainer="notificationDetailDc">
                <column width="350px">
                    <textField id="bodyField" property="body"/>
                    <textField id="createdByField" property="createdBy"/>
                    <dateField id="createdDateField" property="createdDate"/>
                    <textField id="dataReferenceField" property="dataReference"/>
                    <textField id="dataUrlField" property="dataUrl"/>
                    <textField id="deletedByField" property="deletedBy"/>
                    <dateField id="deletedDateField" property="deletedDate"/>
                    <textField id="lastModifiedByField" property="lastModifiedBy"/>
                    <dateField id="lastModifiedDateField" property="lastModifiedDate"/>
                    <textField id="titleField" property="title"/>
                    <entityPicker id="typeIdField" property="typeId">
                        <actions>
                            <action id="entityLookup" type="entity_lookup"/>
                            <action id="entityClear" type="entity_clear"/>
                        </actions>
                    </entityPicker>
                    <textField id="versionField" property="version"/>
                </column>
            </form>
        </scrollBox>
        <hbox id="editActions" spacing="true">
            <button id="commitAndCloseBtn" action="windowCommitAndClose"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>
